<?php

	Class extension_select_all_rows extends Extension {

		public function about(){
			return array('name' => 'Select All Rows',
						 'version' => '1.0',
						 'release-date' => '2010-10-18',
						 'author' => array(	'name' => 'Dale Tan',
											'website' => 'http://www.whatthedale.com',
											'email' => 'wtdtan@gmail.com'),
						 'description' => 'This is a utility to select all rows at once - easier deleting spam messages.'
				 		);
		}
		
		public function getSubscribedDelegates(){
			return array(
				array(
					'page' => '/backend/',
					'delegate' => 'InitaliseAdminPageHead',
					'callback' => 'insertSelectAllJs'
				),
			);
		}
		
		public function insertSelectAllJs () {
//			if ($callback['driver'] == 'blueprintssections' && is_array($callback['context'])){
				Administration::instance()->Page->addScriptToHead(URL . '/extensions/select_all_rows/assets/selectall.js', 100, false);
//			}
		}
		
	}